Part3 Developers

Drawings bundle

POST /admin/projects/{projectId}/drawings/bundle

Create a ZIP bundle of latest drawings for a project

POST
/admin/projects/{projectId}/drawings/bundle
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Project UID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

drawingPackageId?string

Optional drawing package ID to filter drawings

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.part3.io/v1/admin/projects/string/drawings/bundle" \  -H "Content-Type: application/json" \  -d '{}'
{
  "downloadUrl": "https://storage.googleapis.com/part3-temp/bundles/proj_5f9a3c2e8b/d4f8c2a1-b3e5-4f6a-9c7d-1e2f3a4b5c6d.pdf?X-Goog-Algorithm=...",
  "expiresAt": "2026-04-22T16:15:00Z",
  "drawingCount": 142,
  "totalSourceBytes": 89412037,
  "skippedDrawings": []
}
{
  "error": "Insufficient permissions"
}
{
  "error": "Insufficient permissions"
}
{
  "error": "Insufficient permissions"
}
{
  "error": "Insufficient permissions"
}